
Redmine - Feature #12508

Add diff to wiki change notification

2012-12-05 09:42 - Wolfgang Schnerring

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Is it possible to get the diff in the email if something is changed? Right now Redmine only reports that page was changed, and a link

to the diff. Is it possible to have that changes inlined to the email body?

(See also http://www.redmine.org/boards/2/topics/34529, http://www.redmine.org/boards/2/topics/21012)

Related issues:

Related to Redmine - Feature #11530: Support hooks in mailer New

Related to Redmine - Feature #26839: Inline Email Diff For Issue 'Description... New

History

#1 - 2014-04-09 12:24 - Kouhei Sutou

You can do it with the patch in #11530 and Wiki Change Notifier plugin.

You can install them by the following command lines:

% cd /path/to/redmine

% curl http://www.redmine.org/attachments/download/8244/support-hooks-in-mailer-for-r10463.patch | patch -p0

% git clone https://github.com/kou/redmine-plugin-wiki-change-notifier plugins/wiki_change_notifier

(Restart your Redmine.)

#2 - 2014-05-09 06:27 - Toshi MARUYAMA

- Related to Feature #11530: Support hooks in mailer added

#3 - 2014-05-09 06:27 - Toshi MARUYAMA

- Category set to Email notifications

#4 - 2017-10-04 13:11 - Toshi MARUYAMA

- Related to Feature #26839: Inline Email Diff For Issue 'Description' Changes added
